JsonNioService.JSONObject
Date: 2019-10-22

org.openscience.jmol.app.jsonkiosk

## Class JsonNioService.JSONObject

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.String,java.lang.Object>
    - - org.openscience.jmol.app.jsonkiosk.JsonNioService.JSONObject

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>
  Enclosing class:
    JsonNioService

      class JsonNioService.JSONObject
      extends java.util.Hashtable<java.lang.String,java.lang.Object>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONObject()`
    `JSONObject(java.util.Map<java.lang.String,java.lang.Object> map)`
    `JSONObject(java.lang.String msg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `get(java.lang.String key)`
    `double` | `getDouble(java.lang.String key)`
    `int` | `getInt(java.lang.String key)`
    `java.util.List<JsonNioService.JSONObject>` | `getJSONArray(java.lang.String key)`
    `long` | `getLong(java.lang.String key)`
    `(package private) java.lang.String` | `getString(java.lang.String key)`
    `(package private) boolean` | `has(java.lang.String key)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONObject

          public JSONObject()

    - #### JSONObject

          JSONObject(java.lang.String msg)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### JSONObject

          public JSONObject(java.util.Map<java.lang.String,java.lang.Object> map)

  - ### Method Detail

    - #### has

          boolean has(java.lang.String key)

    - #### getString

          java.lang.String getString(java.lang.String key)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getJSONArray

          public java.util.List<JsonNioService.JSONObject> getJSONArray(java.lang.String key)
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### get

          public java.lang.Object get(java.lang.String key)

    - #### getLong

          public long getLong(java.lang.String key)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getInt

          public int getInt(java.lang.String key)
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDouble

          public double getDouble(java.lang.String key)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.Hashtable<java.lang.String,java.lang.Object>`